package cmm.service.impl;

import java.util.List;

import org.springframework.dao.DataAccessException;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.TransactionException;

import cmm.util.DataMap;
import egovframework.com.cmm.service.impl.EgovComAbstractDAO;

/**
 * 외부 API 데이터 관리에 대한 데이터 접근 클래스를 정의한다.
 * @Class Name : ExtDAO.java
 * @author ecplaza 
 * @since 2018-04-16
 * @version 1.0
 */
@Repository("extDAO")
public class ExtDAO extends EgovComAbstractDAO {
	
    @SuppressWarnings("unchecked")
    public List<DataMap> selectExtSigunguList(DataMap paramMap) throws DataAccessException{
        return (List<DataMap>)list("extDAO.selectExtSigunguList", paramMap);
    }
    @SuppressWarnings("unchecked")
    public List<DataMap> selectExtSigunguList2(DataMap paramMap) throws DataAccessException{
        return (List<DataMap>)list("extDAO.selectExtSigunguList2", paramMap);
    }
    @SuppressWarnings("unchecked")
    public List<DataMap> selectExtGisSigunguList(DataMap paramMap) throws DataAccessException{
        return (List<DataMap>)list("extDAO.selectExtGisSigunguList", paramMap);
    }
    @SuppressWarnings("unchecked")
    public List<DataMap> selectExtGisDongList(DataMap paramMap) throws DataAccessException{
        return (List<DataMap>)list("extDAO.selectExtGisDongList", paramMap);
    }
    @SuppressWarnings("unchecked")
    public List<DataMap> selectExtSidoMapMappingList(DataMap paramMap) throws DataAccessException{
        return (List<DataMap>)list("extDAO.selectExtSidoMapMappingList", paramMap);
    }
    @SuppressWarnings("unchecked")
    public List<DataMap> selectExtDfInfoList(DataMap paramMap) throws DataAccessException{
        return (List<DataMap>)list("extDAO.selectExtDfInfoList", paramMap);
    }
    public DataMap selectExtGiaDetail(DataMap paramMap) throws DataAccessException{
        //return (DataMap)select("extDAO.selectExtGiaDetail", paramMap);
        return null;  // DDDDDDDDDDDdddd 임시 처리 (2021.08.13)
    }
	public void insertExtDfInfo(DataMap paramMap) throws TransactionException{
        insert("extDAO.insertExtDfInfo", paramMap);
	}
	public void deleteExtDfInfo() throws TransactionException{
		delete("extDAO.deleteExtDfInfo");
	}
	public void insertExtFdInfo(DataMap paramMap) throws TransactionException{
        insert("extDAO.insertExtFdInfo", paramMap);
	}
	public void deleteExtFdInfo(DataMap paramMap) throws TransactionException{
		delete("extDAO.deleteExtFdInfo",paramMap);
	}
	public void insertExtGiaInfo(DataMap paramMap) throws TransactionException{
        insert("extDAO.insertExtGiaInfo", paramMap);
	}
	public void deleteExtGiaInfo(DataMap paramMap) throws TransactionException{
		delete("extDAO.deleteExtGiaInfo",paramMap);
	}
	
	@SuppressWarnings("unchecked")
    public List<DataMap> selectActivityMediaList(DataMap paramMap) throws DataAccessException{
        return (List<DataMap>)list("extDAO.selectActivityMediaList", paramMap);
    }
	public void deleteMediaHstInfo(DataMap paramMap) throws TransactionException{
		delete("extDAO.deleteMediaHstInfo",paramMap);
	}
	public void insertMediaHstInfo(DataMap paramMap) throws TransactionException{
        insert("extDAO.insertMediaHstInfo", paramMap);
	}
}
